Bug 221017 - [patch] x11/nvidia-driver: Update to 384.59
Summary: [patch] x11/nvidia-driver: Update to 384.59
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Alexey Dokuchaev
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2017-07-26 12:06 UTC by Kevin Bowling
Modified: 2017-08-03 10:43 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments
nvidia-driver 384.59 (1.59 KB, patch)
2017-07-26 12:06 UTC, Kevin Bowling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Bowling freebsd_committer 2017-07-26 12:06:19 UTC
Created attachment 184720 [details]
nvidia-driver 384.59

This is the new long support branch.  Working well on my GXT1080

http://www.nvidia.com/Download/driverResults.aspx/120921/en-us
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-01 04:39:23 UTC
@Kevin Thank you for your submission(s).

Should the changes in this issue be committed atomically (in a single commit) with bug 221019 and bug 221018 or can they be independently committed?

If so, please:

- Update the patch here (it is the 'primary' port) to include those changes
- Obsolete the patches in the other issues
- Add maintainers for the other ports (if they are different to maintainer-feedback ? <email> flags in this issue
- Add bug 221018 and bug 221019 to the 'Blocks' field in this issue and remove them from See Also (which im adding now)
Comment 2 Kevin Bowling freebsd_committer 2017-08-01 10:19:49 UTC
These ports are separate but related, there is no implicit need for them to be sync'd and they can all be at different versions without great concern.  The config related ports are maintained by somebody different than the driver.
Comment 3 commit-hook freebsd_committer 2017-08-03 10:05:33 UTC
A commit references this bug:

Author: danfe
Date: Thu Aug  3 10:04:28 UTC 2017
New revision: 447200
URL: https://svnweb.freebsd.org/changeset/ports/447200

Log:
  Update nVidia driver to the recent long lived branch version 384.59.

  PR:	221017

Changes:
  head/x11/nvidia-driver/Makefile
  head/x11/nvidia-driver/distinfo
Comment 4 Alexey Dokuchaev freebsd_committer 2017-08-03 10:43:49 UTC
Port was updated as of ports r447200, thanks.